-- ==========================================================================
-- \file
-- \brief
-- \author 
-- ==========================================================================

Core.RequireScript("script/sequence.lua");

-- CxgV[PX
sequence_table = {
    {
        -- ҋ@
        Name = "Idle",
        Idle = {
        },
        Active = {
        },
    },
    {
        -- ΐJnOf(`[)
        Name = "PreBattleVS_Blue",
        Idle = {
        },
        Active = {
            { Scenario.FadeOut, "White", 1, 0 },							--{eBAJnzCgAEgiȂj
            { Sound.PlayBGM, "011_Ba_Pre_BattleCamera" },					--BGMĐ

--Jbg1

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -9.91813, -8.45837,  45.71675, 0 },			--W
            { Camera.SetRawInterest,   -6.01979, -9.63790,  51.02030, 0 },			--_
            { Camera.SetFovY, 40 },
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "White", 30, 0 },							--zCgAEgI

            { Sound.PlaySystemSE, 80 },										--`rd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   -9.91813, -8.45837,  45.71675, 360 },			--W
            { Camera.SetRawInterest,   -6.32947, -11.72972, 50.54961, 360 },		--_
            { EndImmediate },

            { Wait, 1.0 },

            { UI.AutoTalk, "ACC", "ID_S10001_0400", 9.0 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0400", "Accessory" },			--{CXĐ(eXg)

            { Wait, 2.0 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg2

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -4.60109, -12.31965,  51.46417, 0 },			--W
            { Camera.SetRawInterest,   -3.06014, -13.02483,  58.01609, 0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 84 },										--Ԃrd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   3.30000,  -12.15729,  48.99537,  360 },		--W
            { Camera.SetRawInterest,   4.84096,  -12.86247,  53.88077,  360 },		--_
            { EndImmediate },

            { Wait, 4.0 },

            { Sound.PlaySystemSE, 85 },										--Ird

            { Wait, 3.2 },													--J؂ւ҂(sec)

            { Scenario.FadeOut, "White", 16 },								--zCgAEgJniogցj
            { Scenario.WaitFade },

            { Camera.Deactivate },

            { Sound.StopBGM },												--BGMI

            { Scenario.BattleEventEnd },
        },
    },
     {
        -- ΐJnOf(ԃ`[)
        Name = "PreBattleVS_Red",
        Idle = {
        },
        Active = {
            { Scenario.FadeOut, "White", 1, 0 },							--{eBAJnzCgAEgiȂj
            { Sound.PlayBGM, "011_Ba_Pre_BattleCamera" },					--BGMĐ

--Jbg1

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   9.91813, -8.45837,  -45.71675, 0 },			--W
            { Camera.SetRawInterest,   6.01979, -9.63790,  -51.02030, 0 },			--_
            { Camera.SetFovY, 40 },
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "White", 30, 0 },							--zCgAEgI

            { Sound.PlaySystemSE, 80 },										--`rd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   9.91813, -8.45837,  -45.71675, 360 },			--W
            { Camera.SetRawInterest,   6.32947, -11.72972, -50.54961, 360 },		--_
            { EndImmediate },

            { Wait, 1.0 },

            { UI.AutoTalk, "ACC", "ID_S10001_0400", 9.0 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0400", "Accessory" },			--{CXĐ(eXg)

            { Wait, 2.0 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg2

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   4.60109, -12.31965,  -51.46417, 0 },			--W
            { Camera.SetRawInterest,   3.06014, -13.02483,  -58.01609, 0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 84 },										--Ԃrd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   -3.30000,  -12.15729,  -48.99537,  360 },		--W
            { Camera.SetRawInterest,   -4.84096,  -12.86247,  -53.88077,  360 },		--_
            { EndImmediate },

            { Wait, 4.0 },

            { Sound.PlaySystemSE, 85 },										--Ird

            { Wait, 3.2 },													--J؂ւ҂(sec)

            { Scenario.FadeOut, "White", 16 },								--zCgAEgJniogցj
            { Scenario.WaitFade },

            { Camera.Deactivate },

            { Sound.StopBGM },												--BGMI

            { Scenario.BattleEventEnd },
        },
    },
        -- I
    {
        Name = "FixEvent",
        Idle = {
        },
        Active = {
            { StartImmediate },
            { Sound.StopBGM },												--BGMI
      		{ Camera.Deactivate },											--CxgJI
            { EndImmediate },
            { ChangeEvent, "Idle"},
        },
    },
    {
        Name = "FixEventOnline",
        Idle = {
        },
        Active = {
            { StartImmediate },
            { Sound.StopBGM },												--BGMI
      		{ Camera.Deactivate },											--CxgJI
            { EndImmediate },
            { ChangeEvent, "Idle"},
        },
    },
};

-- CxgV[PX𔽉f
set_seq_table(sequence_table);
