-- ==========================================================================
-- \file
-- \brief
-- \author
-- \memo
-- ==========================================================================

Core.RequireScript("script/sequence.lua");

-- CxgV[PX
sequence_table = {
    {
        -- ҋ@
        Name = "Idle",
        Idle = {
        },
        Active = {
        },
    },
	-- ========================= ItCJ =========================
	{
        -- AiEXJ
        Name = "PreBattle",
        Idle = {
        },
        Active = {

            { Scenario.FadeOut, "White", 1, 0 },							--{eBAJnzCgAEgiȂj

            { Sound.PlayBGM, "011_Ba_Pre_BattleCamera" },					--BGMĐ

--Au_N^[pJbg

            { Chara.ChangeAction, "Red_00", "IdleDemo" },					--Au_N^[AChOJn

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,  -15.96225, 2.05831, -2.92861,  0 },			--W
            { Camera.SetRawInterest,  -53.53908, 10.80903, -79.14137,  0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "White", 30, 0 },							--zCgAEgI

            { Sound.PlaySystemSE, 80 },										--`rd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,  -25.51709, 3.76816, -22.38956, 345 },			--W
            { Camera.SetRawInterest,  -63.04701, 25.39443, -96.01558, 345 },			--_
            { EndImmediate },

            { Wait, 0.7 },													--eLXg{CX҂(sec)

            { UI.AutoTalk, "ACC", "ID_S10001_0310", 9.5 },					--eLXg\
            { Sound.PlayAccVoice, "ID_S10001_0310", "Accessory" },			--{CXĐ

        	{ Wait, 3.0 },													--҂(sec)

            { Chara.ChangeAction, "Red_00", "Threat" },					--Au_N^[AChOJn

        	{ Wait, 2.6 },													--҂(sec)

            { Sound.PlaySystemSE, 85 },										--Ird

        	{ Wait, 3.6 },													--҂(sec)

            { Scenario.FadeOut, "White", 16, 0 },							--zCgAEgJniogցj
            { Scenario.WaitFade },

            { Camera.Deactivate },

            { Sound.StopBGM },												--BGMI


        -- ogJnOf
            { Scenario.BattleEventEnd },
        },
    },
	-- ========================= ICJ =========================
	{
        -- AiEXJ
        Name = "PreBattleKeyOnline",
        Idle = {
        },
        Active = {

            { Scenario.FadeOut, "White", 1, 0 },							--{eBAJnzCgAEgiȂj

            { Sound.PlayBGM, "011_Ba_Pre_BattleCamera" },					--BGMĐ

--Au_N^[pJbg

            { Chara.ChangeAction, "Red_00", "IdleDemo" },					--Au_N^[AChOJn

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,  -15.96225, 2.05831, -2.92861,  0 },			--W
            { Camera.SetRawInterest,  -53.53908, 10.80903, -79.14137,  0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "White", 30, 0 },							--zCgAEgI

            { Sound.PlaySystemSE, 80 },										--`rd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,  -25.51709, 3.76816, -22.38956, 345 },			--W
            { Camera.SetRawInterest,  -63.04701, 25.39443, -96.01558, 345 },			--_
            { EndImmediate },

            { Wait, 0.7 },													--eLXg{CX҂(sec)

            { UI.AutoTalk, "ACC", "ID_S10001_0310", 9.5 },					--eLXg\
            { Sound.PlayAccVoice, "ID_S10001_0310", "Accessory" },			--{CXĐ

        	{ Wait, 3.0 },													--҂(sec)

            { Chara.ChangeAction, "Red_00", "Threat" },					--Au_N^[AChOJn

        	{ Wait, 2.6 },													--҂(sec)

            { Sound.PlaySystemSE, 85 },										--Ird

        	{ Wait, 3.6 },													--҂(sec)

            { Scenario.FadeOut, "White", 16, 0 },							--zCgAEgJniogցj
            { Scenario.WaitFade },

            { Camera.Deactivate },

            { Sound.StopBGM },												--BGMI

        -- ogJnOf
            { Scenario.BattleEventEnd },

        -- ogJnOf
            { Scenario.BattleEventEnd },
        },
    },
    {
        Name = "FixEvent",
        Idle = {
        },
        Active = {
            { StartImmediate },
            { Sound.StopBGM },												--BGMI
            { EndImmediate },
            { ChangeEvent, "Idle"},
        },
    },
    {
        Name = "FixEventOnline",
        Idle = {
        },
        Active = {
            { StartImmediate },
            { Sound.StopBGM },												--BGMI
            { EndImmediate },
            { ChangeEvent, "Idle"},
        },
    },
};


-- CxgV[PX𔽉f
set_seq_table(sequence_table);
