-- ==========================================================================
-- \file
-- \brief
-- \author 
-- ==========================================================================

Core.RequireScript("script/sequence.lua");

-- CxgV[PX
sequence_table = {
    {
        -- ҋ@
        Name = "Idle",
        Idle = {
        },
        Active = {
        },
    },
    {
        -- ΐJnOf(`[)
        Name = "PreBattleVS_Blue",
        Idle = {
        },
        Active = {
            { Scenario.FadeOut, "White", 1, 0 },							--{eBAJnzCgAEgiȂj
            { Sound.PlayBGM, "011_Ba_Pre_BattleCamera" },					--BGMĐ

--Jbg1

            { StartImmediate },												--JړJn
            	{ Chara.ChangeAction, "Citizen_00", "IdleFear" },				--sAChOJn
            	{ Chara.ChangeAction, "Citizen_01", "IdleFear" },				--sAChOJn
            { EndImmediate },

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -1.20118,  9.03276,  3.31841, 0 },			--W
            { Camera.SetRawInterest,   -2.01025,  6.77165,  -2.52051, 0 },			--_
            { Camera.SetFovY, 40 },
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "White", 30, 0 },							--zCgAEgI

            { Sound.PlaySystemSE, 80 },										--`rd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   3.28609,  7.22362,  -1.40831, 210 },			--W
            { Camera.SetRawInterest,   -2.61372,  6.28258,  -3.44965, 210 },			--_
            { EndImmediate },

            { Wait, 1.0 },

            { UI.AutoTalk, "ACC", "ID_S10001_0510", 3.5 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0510", "Accessory" },			--{CXĐ(eXg)

            { Wait, 3.5 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg2

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   37.36630, 4.34495,  -42.87516, 0 },			--W
            { Camera.SetRawInterest,   39.30450, 2.53724,  -48.86812, 0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 84 },										--Ԃrd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   27.59582, 4.25532, -48.53547,  260 },		--W
            { Camera.SetRawInterest,   31.96296, 2.44761, -53.07424,  260 },		--_
            { EndImmediate },

            { Wait, 0.2 },

            { UI.AutoTalk, "ACC", "ID_S10001_0100", 6.5 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0100", "Accessory" },			--{CXĐ(eXg)

            { Wait, 6.5 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg3

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,  -26.31801,   15.13114,  2.91575,  0 },			--W
            { Camera.SetRawInterest,  -29.35895,    13.86895,  8.30279,  0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 86 },										--ړInrd

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -61.06658,   2.33167,  60.89507,  225 },		--W
            { Camera.SetRawInterest,    -64.26243,   1.19345,  66.21970,  225 },		--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Wait, 0.2 },

            { UI.AutoTalk, "ACC", "ID_S10001_0520", 4.2 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0520", "Accessory" },			--{CXĐ(eXg)

            { Wait, 0.5 },

            { Sound.PlaySystemSE, 85 },										--Ird

            { Wait, 3.2 },													--J؂ւ҂(sec)

            { Scenario.FadeOut, "White", 16 },								--zCgAEgJniogցj
            { Scenario.WaitFade },

            { Camera.Deactivate },

            { Sound.StopBGM },												--BGMI

            { Scenario.BattleEventEnd },
        },
    },
     {
        -- ΐJnOf(ԃ`[)
        Name = "PreBattleVS_Red",
        Idle = {
        },

        Active = {
            { Scenario.FadeOut, "White", 1, 0 },							--{eBAJnzCgAEgiȂj
            { Sound.PlayBGM, "011_Ba_Pre_BattleCamera" },					--BGMĐ

--Jbg1

            { StartImmediate },												--JړJn
            	{ Chara.ChangeAction, "Citizen_00", "IdleFear" },				--sAChOJn
            	{ Chara.ChangeAction, "Citizen_01", "IdleFear" },				--sAChOJn
            { EndImmediate },

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -1.20118,  9.03276,  3.31841, 0 },			--W
            { Camera.SetRawInterest,   -2.01025,  6.77165,  -2.52051, 0 },			--_
            { Camera.SetFovY, 40 },
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "White", 30, 0 },							--zCgAEgI

            { Sound.PlaySystemSE, 80 },										--`rd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   3.28609,  7.22362,  -1.40831, 210 },			--W
            { Camera.SetRawInterest,   -2.61372,  6.28258,  -3.44965, 210 },			--_
            { EndImmediate },

            { Wait, 1.0 },

            { UI.AutoTalk, "ACC", "ID_S10001_0510", 3.5 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0510", "Accessory" },			--{CXĐ(eXg)

            { Wait, 3.5 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg2

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -40.98901, 2.12856,  19.83073, 0 },			--W
            { Camera.SetRawInterest,   -44.67501, 1.40813,  24.32314, 0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 84 },										--Ԃrd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   -33.08498, 2.01470, 29.09990,  260 },		--W
            { Camera.SetRawInterest,   -38.55057, 1.36210, 31.09716,  260 },		--_
            { EndImmediate },

            { Wait, 0.2 },

            { UI.AutoTalk, "ACC", "ID_S10001_0100", 6.5 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0100", "Accessory" },			--{CXĐ(eXg)

            { Wait, 6.5 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg3

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,  18.18216, 13.48853, -31.98534,  0 },			--W
            { Camera.SetRawInterest,  22.99167, 12.35384, -35.12683,  0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 86 },										--ړInrd

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,  59.48560, 4.47239, -55.51083,  225 },		--W
            { Camera.SetRawInterest,  64.52667, 3.42399, -58.29942,  225 },		--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Wait, 0.2 },

            { UI.AutoTalk, "ACC", "ID_S10001_0520", 4.2 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0520", "Accessory" },			--{CXĐ(eXg)

            { Wait, 0.5 },

            { Sound.PlaySystemSE, 85 },										--Ird

            { Wait, 3.2 },													--J؂ւ҂(sec)

            { Scenario.FadeOut, "White", 16 },								--zCgAEgJniogցj
            { Scenario.WaitFade },

            { Camera.Deactivate },

            { Sound.StopBGM },												--BGMI

            { Scenario.BattleEventEnd },

        },
    },
        -- I
    {
        Name = "FixEvent",
        Idle = {
        },
        Active = {
            { StartImmediate },
            { Sound.StopBGM },												--BGMI
      		{ Camera.Deactivate },											--CxgJI
            { EndImmediate },
            { ChangeEvent, "Idle"},
        },
    },
    {
        Name = "FixEventOnline",
        Idle = {
        },
        Active = {
            { StartImmediate },
            { Sound.StopBGM },												--BGMI
      		{ Camera.Deactivate },											--CxgJI
            { EndImmediate },
            { ChangeEvent, "Idle"},
        },
    },
};

-- CxgV[PX𔽉f
set_seq_table(sequence_table);
