-- ==========================================================================
-- \file
-- \brief
-- \author 
-- ==========================================================================

Core.RequireScript("script/sequence.lua");

-- CxgV[PX
sequence_table = {
    {
        -- ҋ@
        Name = "Idle",
        Idle = {
        },
        Active = {
        },
    },
    {
        -- ΐJnOf(`[)
        Name = "PreBattleVS_Blue",
        Idle = {
        },
        Active = {
            { Scenario.FadeOut, "White", 1, 0 },							--{eBAJnzCgAEgiȂj
            { Sound.PlayBGM, "011_Ba_Pre_BattleCamera" },					--BGMĐ

--Jbg1

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   104.34999, 8.68868,  -28.49440, 0 },			--W
            { Camera.SetRawInterest,   109.25654, 8.58268,  -27.53700, 0 },			--_
            { Camera.SetFovY, 40 },
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "White", 30, 0 },							--zCgAEgI

            { Sound.PlaySystemSE, 80 },										--`rd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   107.06573, 8.24849, -27.97388, 240 },			--W
            { Camera.SetRawInterest,   111.91550, 7.46239, -27.04433, 240 },		--_
            { EndImmediate },

            { Wait, 1.0 },

            { UI.AutoTalk, "ACC", "ID_S10001_0400", 9.0 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0400", "Accessory" },			--{CXĐ(eXg)

            { Wait, 2.0 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg2

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   117.27591, 7.10359,  -17.67541, 0 },			--W
            { Camera.SetRawInterest,   122.20245, 6.35738,  -20.08818, 0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 84 },										--Ԃrd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   115.19151, 7.29156, -26.86422,  260 },		--W
            { Camera.SetRawInterest,   121.50611, 6.30066, -27.66810,  260 },		--_
            { EndImmediate },

            { Wait, 4.0 },

            { Sound.PlaySystemSE, 85 },										--Ird

            { Wait, 3.2 },													--J؂ւ҂(sec)

            { Scenario.FadeOut, "White", 16 },								--zCgAEgJniogցj
            { Scenario.WaitFade },

            { Camera.Deactivate },

            { Sound.StopBGM },												--BGMI

            { Scenario.BattleEventEnd },
        },
    },
     {
        -- ΐJnOf(ԃ`[)
        Name = "PreBattleVS_Red",
        Idle = {
        },
        Active = {
            { Scenario.FadeOut, "White", 1, 0 },							--{eBAJnzCgAEgiȂj
            { Sound.PlayBGM, "011_Ba_Pre_BattleCamera" },					--BGMĐ

--Jbg1

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -109.46502, 3.63462, 32.41746, 0 },			--W
            { Camera.SetRawInterest,   -114.45183, 3.57840, 32.47635, 0 },			--_
            { Camera.SetFovY, 40 },
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "White", 30, 0 },							--zCgAEgI

            { Sound.PlaySystemSE, 80 },										--`rd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   -111.81738, 3.15874, 32.41387, 240 },			--W
            { Camera.SetRawInterest,   -116.70581, 2.16981, 32.40642, 240 },		--_
            { EndImmediate },

            { Wait, 1.0 },

            { UI.AutoTalk, "ACC", "ID_S10001_0400", 9.0 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0400", "Accessory" },			--{CXĐ(eXg)

            { Wait, 2.0 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg2

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -117.73464, 2.13058,  26.97050, 0 },			--W
            { Camera.SetRawInterest,   -123.17210, 1.41079,  28.35230, 0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 84 },										--Ԃrd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   -116.36086, 2.36520, 36.55599,  260 },		--W
            { Camera.SetRawInterest,   -121.96236, 1.58001, 36.56828,  260 },		--_
            { EndImmediate },

            { Wait, 4.0 },

            { Sound.PlaySystemSE, 85 },										--Ird

            { Wait, 3.2 },													--J؂ւ҂(sec)

            { Scenario.FadeOut, "White", 16 },								--zCgAEgJniogցj
            { Scenario.WaitFade },

            { Camera.Deactivate },

            { Sound.StopBGM },												--BGMI

            { Scenario.BattleEventEnd },
        },
    },
        -- I
    {
        Name = "FixEvent",
        Idle = {
        },
        Active = {
            { StartImmediate },
            { Sound.StopBGM },												--BGMI
      		{ Camera.Deactivate },											--CxgJI
            { EndImmediate },
            { ChangeEvent, "Idle"},
        },
    },
    {
        Name = "FixEventOnline",
        Idle = {
        },
        Active = {
            { StartImmediate },
            { Sound.StopBGM },												--BGMI
      		{ Camera.Deactivate },											--CxgJI
            { EndImmediate },
            { ChangeEvent, "Idle"},
        },
    },
};

-- CxgV[PX𔽉f
set_seq_table(sequence_table);
