-- ==========================================================================
-- \file
-- \brief
-- \author 
-- ==========================================================================

Core.RequireScript("script/sequence.lua");

-- CxgV[PX
sequence_table = {
    {
        -- ҋ@
        Name = "Idle",
        Idle = {
        },
        Active = {
        },
    },
    {
        -- ΐJnOf(`[)
        Name = "PreBattleVS_Blue",
        Idle = {
        },
        Active = {
            { Scenario.FadeOut, "White", 1, 0 },							--{eBAJnzCgAEgiȂj
            { Sound.PlayBGM, "011_Ba_Pre_BattleCamera" },					--BGMĐ

--Jbg1

            { StartImmediate },												--JړJn
            	{ Chara.ChangeAction, "Citizen_00", "IdleFear" },				--sAChOJn
            	{ Chara.ChangeAction, "Citizen_01", "IdleFear" },				--sAChOJn
            { EndImmediate },

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   3.25642, 4.97365, 6.83903, 0 },			--W
            { Camera.SetRawInterest,   6.08902, 3.08726, 1.09954, 0 },		--_
            { Camera.SetFovY, 40 },
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "White", 30, 0 },							--zCgAEgI

            { Sound.PlaySystemSE, 80 },										--`rd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   -6.17457, 6.59638, -0.87339, 360 },			--W
            { Camera.SetRawInterest,   -0.21446, 4.37147, -2.88610, 360 },		--_
            { EndImmediate },

            { Wait, 1.0 },

            { UI.AutoTalk, "ACC", "ID_S10001_0510", 3.5 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0510", "Accessory" },			--{CXĐ(eXg)

            { Wait, 3.5 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg2

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   12.65096, 7.11922, 119.17455, 0 },			--W
            { Camera.SetRawInterest,   18.66858, 6.26014, 121.85210, 0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 84 },										--Ԃrd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   24.63989,  6.51302,  120.81215,  360 },		--W
            { Camera.SetRawInterest,   30.64855,  5.65394,  123.50974,  360 },		--_
            { EndImmediate },

            { Wait, 0.2 },

            { UI.AutoTalk, "ACC", "ID_S10001_0100", 6.0 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0100", "Accessory" },			--{CXĐ(eXg)

            { Wait, 6.0 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg3

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -69.09128, 9.07260, -51.25891, 0 },			--W
            { Camera.SetRawInterest,   -71.81577, 7.32635, -56.89363, 0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 84 },										--Ԃrd

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -81.83003, 3.36922, -72.64878, 300 },			--W
            { Camera.SetRawInterest,   -85.80680, 1.98024, -77.59637, 300 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Wait, 0.2 },

            { UI.AutoTalk, "ACC", "ID_S10001_0520", 4.2 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0520", "Accessory" },			--{CXĐ(eXg)

            { Wait, 0.5 },

            { Sound.PlaySystemSE, 85 },										--Ird

            { Wait, 3.2 },													--J؂ւ҂(sec)

            { Scenario.FadeOut, "White", 16 },								--zCgAEgJniogցj
            { Scenario.WaitFade },

            { Camera.Deactivate },

            { Sound.StopBGM },												--BGMI

            { Scenario.BattleEventEnd },
        },
    },
     {
        -- ΐJnOf(ԃ`[)
        Name = "PreBattleVS_Red",
        Idle = {
        },

        Active = {
            { Scenario.FadeOut, "White", 1, 0 },							--{eBAJnzCgAEgiȂj
            { Sound.PlayBGM, "011_Ba_Pre_BattleCamera" },					--BGMĐ

--Jbg1

            { StartImmediate },												--JړJn
            	{ Chara.ChangeAction, "Citizen_00", "IdleFear" },				--sAChOJn
            	{ Chara.ChangeAction, "Citizen_01", "IdleFear" },				--sAChOJn
            { EndImmediate },

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   3.25642, 4.97365, 6.83903, 0 },			--W
            { Camera.SetRawInterest,   6.08902, 3.08726, 1.09954, 0 },		--_
            { Camera.SetFovY, 40 },
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "White", 30, 0 },							--zCgAEgI

            { Sound.PlaySystemSE, 80 },										--`rd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   -6.17457, 6.59638, -0.87339, 360 },			--W
            { Camera.SetRawInterest,   -0.21446, 4.37147, -2.88610, 360 },		--_
            { EndImmediate },

            { Wait, 1.0 },

            { UI.AutoTalk, "ACC", "ID_S10001_0510", 3.5 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0510", "Accessory" },			--{CXĐ(eXg)

            { Wait, 3.5 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg2

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -66.25871, 2.47478, -72.10111, 0 },			--W
            { Camera.SetRawInterest,   -71.96259, 1.03798, -75.18687, 0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 84 },										--Ԃrd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   -77.55080,  1.66659,  -74.09983,  360 },		--W
            { Camera.SetRawInterest,   -83.25468,  0.22979,  -77.18559,  360 },		--_
            { EndImmediate },

            { Wait, 0.2 },

            { UI.AutoTalk, "ACC", "ID_S10001_0100", 6.0 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0100", "Accessory" },			--{CXĐ(eXg)

            { Wait, 6.0 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg3

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   14.57768, 12.02015, 103.65382, 0 },			--W
            { Camera.SetRawInterest,   18.34813, 10.85067, 108.76896, 0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 84 },										--Ԃrd

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   32.55972, 6.90493, 127.12483, 420 },			--W
            { Camera.SetRawInterest,   36.33018, 5.73545, 132.23987, 420 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Wait, 0.2 },

            { UI.AutoTalk, "ACC", "ID_S10001_0520", 4.2 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0520", "Accessory" },			--{CXĐ(eXg)

            { Wait, 0.5 },

            { Sound.PlaySystemSE, 85 },										--Ird

            { Wait, 3.2 },													--J؂ւ҂(sec)

            { Scenario.FadeOut, "White", 16 },								--zCgAEgJniogցj
            { Scenario.WaitFade },

            { Camera.Deactivate },

            { Sound.StopBGM },												--BGMI

            { Scenario.BattleEventEnd },

        },
    },
        -- I
    {
        Name = "FixEvent",
        Idle = {
        },
        Active = {
            { StartImmediate },
            { Sound.StopBGM },												--BGMI
      		{ Camera.Deactivate },											--CxgJI
            { EndImmediate },
            { ChangeEvent, "Idle"},
        },
    },
    {
        Name = "FixEventOnline",
        Idle = {
        },
        Active = {
            { StartImmediate },
            { Sound.StopBGM },												--BGMI
      		{ Camera.Deactivate },											--CxgJI
            { EndImmediate },
            { ChangeEvent, "Idle"},
        },
    },
};

-- CxgV[PX𔽉f
set_seq_table(sequence_table);
