-- ==========================================================================
-- \file
-- \brief
-- \author
-- \memo
-- ==========================================================================

Core.RequireScript("script/sequence.lua");

-- CxgV[PX
sequence_table = {
    {
        -- ҋ@
        Name = "Idle",
        Idle = {
        },
        Active = {
        },
    },
	-- ========================= ItCJ =========================
	{
        -- AiEXJ
        Name = "PreBattle",
        Idle = {
        },
        Active = {

            { Scenario.FadeOut, "White", 1, 0 },							--{eBAJnzCgAEgiȂj

            { Sound.PlayBGM, "011_Ba_Pre_BattleCamera" },					--BGMĐ

--Au_N^[pJbg

            { Chara.ChangeAction, "Gun2_00", "IdleDemo" },					--Au_N^[AChOJn

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,  -6.89530, 2.26899, -0.09646,  0 },			--W
            { Camera.SetRawInterest,  63.23880, 13.21036, -0.50949,  0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "White", 30, 0 },							--zCgAEgI

            { Sound.PlaySystemSE, 80 },										--`rd

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,  28.03825, 5.79810, -0.18991, 345 },			--W
            { Camera.SetRawInterest,  96.95645, 22.76919, 0.78266, 345 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Wait, 0.7 },													--eLXg{CX҂(sec)

            { UI.AutoTalk, "ACC", "ID_S10001_0310", 9.5 },					--eLXg\
            { Sound.PlayAccVoice, "ID_S10001_0310", "Accessory" },			--{CXĐ

        	{ Wait, 3.0 },													--҂(sec)

            { Chara.ChangeAction, "Gun2_00", "Threat" },					--Au_N^[AChOJn

        	{ Wait, 2.6 },													--҂(sec)

            { Sound.PlaySystemSE, 85 },										--Ird

        	{ Wait, 3.6 },													--҂(sec)

            { Scenario.FadeOut, "White", 16, 0 },							--zCgAEgJniogցj
            { Scenario.WaitFade },

            { Camera.Deactivate },

            { Sound.StopBGM },												--BGMI


        -- ogJnOf
            { Scenario.BattleEventEnd },
        },
    },
	-- ========================= ICJ =========================
	{
        -- AiEXJ
        Name = "PreBattleKeyOnline",
        Idle = {
        },
        Active = {

            { Scenario.FadeOut, "White", 1, 0 },							--{eBAJnzCgAEgiȂj

            { Sound.PlayBGM, "011_Ba_Pre_BattleCamera" },					--BGMĐ

--Au_N^[pJbg

            { Chara.ChangeAction, "Gun2_00", "IdleDemo" },					--Au_N^[AChOJn

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,  -6.89530, 2.26899, -0.09646,  0 },			--W
            { Camera.SetRawInterest,  63.23880, 13.21036, -0.50949,  0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "White", 30, 0 },							--zCgAEgI

            { Sound.PlaySystemSE, 80 },										--`rd

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,  28.03825, 5.79810, -0.18991, 345 },			--W
            { Camera.SetRawInterest,  96.95645, 22.76919, 0.78266, 345 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Wait, 0.7 },													--eLXg{CX҂(sec)

            { UI.AutoTalk, "ACC", "ID_S10001_0310", 9.5 },					--eLXg\
            { Sound.PlayAccVoice, "ID_S10001_0310", "Accessory" },			--{CXĐ

        	{ Wait, 3.0 },													--҂(sec)

            { Chara.ChangeAction, "Gun2_00", "Threat" },					--Au_N^[AChOJn

        	{ Wait, 2.6 },													--҂(sec)

            { Sound.PlaySystemSE, 85 },										--Ird

        	{ Wait, 3.6 },													--҂(sec)

            { Scenario.FadeOut, "White", 16, 0 },							--zCgAEgJniogցj
            { Scenario.WaitFade },

            { Camera.Deactivate },

            { Sound.StopBGM },												--BGMI

        -- ogJnOf
            { Scenario.BattleEventEnd },
        },
    },
    {
        Name = "FixEvent",
        Idle = {
        },
        Active = {
            { StartImmediate },
            { Sound.StopBGM },												--BGMI
            { EndImmediate },
            { ChangeEvent, "Idle"},
        },
    },
    {
        Name = "FixEventOnline",
        Idle = {
        },
        Active = {
            { StartImmediate },
            { Sound.StopBGM },												--BGMI
            { EndImmediate },
            { ChangeEvent, "Idle"},
        },
    },
};


-- CxgV[PX𔽉f
set_seq_table(sequence_table);
