-- ==========================================================================
-- \file
-- \brief
-- \author 
-- ==========================================================================

Core.RequireScript("script/sequence.lua");

-- CxgV[PX
sequence_table = {
    {
        -- ҋ@
        Name = "Idle",
        Idle = {
        },
        Active = {
        },
    },
    {
        -- ΐJnOf(`[)
        Name = "PreBattleVS_Blue",
        Idle = {
        },
        Active = {
            { Scenario.FadeOut, "White", 1, 0 },							--{eBAJnzCgAEgiȂj
            { Sound.PlayBGM, "011_Ba_Pre_BattleCamera" },					--BGMĐ

--Jbg1

            { StartImmediate },												--JړJn
            	{ Chara.ChangeAction, "Citizen_00", "IdleFear" },				--sAChOJn
            	{ Chara.ChangeAction, "Citizen_01", "IdleFear" },				--sAChOJn
            { EndImmediate },

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -3.64886,  1.98071,  -40.00945, 0 },			--W
            { Camera.SetRawInterest,   -7.46641,  1.79120,  -36.02195, 0 },			--_
            { Camera.SetFovY, 40 },
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "White", 30, 0 },							--zCgAEgI

            { Sound.PlaySystemSE, 80 },										--`rd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   -1.50828,  3.22422,  -32.64596, 300 },			--W
            { Camera.SetRawInterest,   -6.84912,  2.06747,  -33.45042, 300 },			--_
            { EndImmediate },

            { Wait, 1.0 },

            { UI.AutoTalk, "ACC", "ID_S10001_0510", 3.5 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0510", "Accessory" },			--{CXĐ(eXg)

            { Wait, 3.5 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg2

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   117.27591, 7.10359,  -17.67541, 0 },			--W
            { Camera.SetRawInterest,   122.20245, 6.35738,  -20.08818, 0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 84 },										--Ԃrd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   115.19151, 7.29156, -26.86422,  260 },		--W
            { Camera.SetRawInterest,   121.50611, 6.30066, -27.66810,  260 },		--_
            { EndImmediate },

            { Wait, 0.2 },

            { UI.AutoTalk, "ACC", "ID_S10001_0100", 6.5 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0100", "Accessory" },			--{CXĐ(eXg)

            { Wait, 6.5 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg3

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,  -98.48430,  4.77021,  32.98438,  0 },			--W
            { Camera.SetRawInterest,  -104.75379, 4.03261,  32.92989,  0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 86 },										--ړInrd

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -122.31901,   1.96606,  32.77724,  225 },		--W
            { Camera.SetRawInterest,   -128.58850,   1.22846,  32.72275,  225 },		--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Wait, 0.2 },

            { UI.AutoTalk, "ACC", "ID_S10001_0520", 4.2 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0520", "Accessory" },			--{CXĐ(eXg)

            { Wait, 0.5 },

            { Sound.PlaySystemSE, 85 },										--Ird

            { Wait, 3.2 },													--J؂ւ҂(sec)

            { Scenario.FadeOut, "White", 16 },								--zCgAEgJniogցj
            { Scenario.WaitFade },

            { Camera.Deactivate },

            { Sound.StopBGM },												--BGMI

            { Scenario.BattleEventEnd },
        },
    },
     {
        -- ΐJnOf(ԃ`[)
        Name = "PreBattleVS_Red",
        Idle = {
        },

        Active = {
            { Scenario.FadeOut, "White", 1, 0 },							--{eBAJnzCgAEgiȂj
            { Sound.PlayBGM, "011_Ba_Pre_BattleCamera" },					--BGMĐ

--Jbg1

            { StartImmediate },												--JړJn
            	{ Chara.ChangeAction, "Citizen_00", "IdleFear" },				--sAChOJn
            	{ Chara.ChangeAction, "Citizen_01", "IdleFear" },				--sAChOJn
            { EndImmediate },

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -3.64886,  1.98071,  -40.00945, 0 },			--W
            { Camera.SetRawInterest,   -7.46641,  1.79120,  -36.02195, 0 },			--_
            { Camera.SetFovY, 40 },
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "White", 30, 0 },							--zCgAEgI

            { Sound.PlaySystemSE, 80 },										--`rd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   -1.50828,  3.22422,  -32.64596, 300 },			--W
            { Camera.SetRawInterest,   -6.84912,  2.06747,  -33.45042, 300 },			--_
            { EndImmediate },

            { Wait, 1.0 },

            { UI.AutoTalk, "ACC", "ID_S10001_0510", 3.5 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0510", "Accessory" },			--{CXĐ(eXg)

            { Wait, 3.5 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg2

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -117.73464, 2.13058,  26.97050, 0 },			--W
            { Camera.SetRawInterest,   -123.17210, 1.41079,  28.35230, 0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 84 },										--Ԃrd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   -116.36086, 2.36520, 36.55599,  260 },		--W
            { Camera.SetRawInterest,   -121.96236, 1.58001, 36.56828,  260 },		--_
            { EndImmediate },

            { Wait, 0.2 },

            { UI.AutoTalk, "ACC", "ID_S10001_0100", 6.5 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0100", "Accessory" },			--{CXĐ(eXg)

            { Wait, 6.5 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg3

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,  96.16622, 10.24142, -24.02077,  0 },			--W
            { Camera.SetRawInterest,  101.45976, 9.60510, -24.11084,  0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 86 },										--ړInrd

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,  119.19714, 7.47294, -24.41264,  225 },		--W
            { Camera.SetRawInterest,  124.49068, 6.83661, -24.50272,  225 },		--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Wait, 0.2 },

            { UI.AutoTalk, "ACC", "ID_S10001_0520", 4.2 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0520", "Accessory" },			--{CXĐ(eXg)

            { Wait, 0.5 },

            { Sound.PlaySystemSE, 85 },										--Ird

            { Wait, 3.2 },													--J؂ւ҂(sec)

            { Scenario.FadeOut, "White", 16 },								--zCgAEgJniogցj
            { Scenario.WaitFade },

            { Camera.Deactivate },

            { Sound.StopBGM },												--BGMI

            { Scenario.BattleEventEnd },

        },
    },
        -- I
    {
        Name = "FixEvent",
        Idle = {
        },
        Active = {
            { StartImmediate },
            { Sound.StopBGM },												--BGMI
      		{ Camera.Deactivate },											--CxgJI
            { EndImmediate },
            { ChangeEvent, "Idle"},
        },
    },
    {
        Name = "FixEventOnline",
        Idle = {
        },
        Active = {
            { StartImmediate },
            { Sound.StopBGM },												--BGMI
      		{ Camera.Deactivate },											--CxgJI
            { EndImmediate },
            { ChangeEvent, "Idle"},
        },
    },
};

-- CxgV[PX𔽉f
set_seq_table(sequence_table);
