-- ==========================================================================
-- \file
-- \brief
-- \author 
-- ==========================================================================

Core.RequireScript("script/sequence.lua");

-- CxgV[PX
sequence_table = {
    {
        -- ҋ@
        Name = "Idle",
        Idle = {
        },
        Active = {
        },
    },
    {
        -- ΐJnOf(`[)
        Name = "PreBattleVS_Blue",
        Idle = {
        },
        Active = {
            { Scenario.FadeOut, "White", 1, 0 },							--{eBAJnzCgAEgiȂj
            { Sound.PlayBGM, "011_Ba_Pre_BattleCamera" },					--BGMĐ

--Jbg1

            { StartImmediate },												--JړJn
            	{ Chara.ChangeAction, "Citizen_00", "IdleFear" },				--sAChOJn
            	{ Chara.ChangeAction, "Citizen_01", "IdleFear" },				--sAChOJn
            { EndImmediate },

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -3.68615, -13.87949,  -22.66486, 0 },			--W
            { Camera.SetRawInterest,   -5.82613, -15.94769,  -16.69256, 0 },			--_
            { Camera.SetFovY, 40 },
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "White", 30, 0 },							--zCgAEgI

            { Sound.PlaySystemSE, 80 },										--`rd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   -6.17101, -16.81671, -13.99784, 360 },			--W
            { Camera.SetRawInterest,   -8.15155, -18.87549, -7.96725, 360 },		--_
            { EndImmediate },

            { Wait, 1.0 },

            { UI.AutoTalk, "ACC", "ID_S10001_0510", 3.5 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0510", "Accessory" },			--{CXĐ(eXg)

            { Wait, 3.5 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg2

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -4.60109, -12.31965,  51.46417, 0 },			--W
            { Camera.SetRawInterest,   -3.06014, -13.02483,  58.01609, 0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 84 },										--Ԃrd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   3.30000,  -12.15729,  48.99537,  360 },		--W
            { Camera.SetRawInterest,   4.84096,  -12.86247,  53.88077,  360 },		--_
            { EndImmediate },

            { Wait, 0.2 },

            { UI.AutoTalk, "ACC", "ID_S10001_0100", 6.0 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0100", "Accessory" },			--{CXĐ(eXg)

            { Wait, 6.0 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg3

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   8.54987, -13.12618, -64.92908, 0 },			--W
            { Camera.SetRawInterest,   5.99845, -17.28106, -69.46968, 0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 84 },										--Ԃrd

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -8.54987, -13.12618, -64.92908, 600 },			--W
            { Camera.SetRawInterest,   -5.99845, -17.28106, -69.46968, 600 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Wait, 0.2 },

            { UI.AutoTalk, "ACC", "ID_S10001_0520", 4.2 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0520", "Accessory" },			--{CXĐ(eXg)

            { Wait, 0.5 },

            { Sound.PlaySystemSE, 85 },										--Ird

            { Wait, 3.2 },													--J؂ւ҂(sec)

            { Scenario.FadeOut, "White", 16 },								--zCgAEgJniogցj
            { Scenario.WaitFade },

            { Camera.Deactivate },

            { Sound.StopBGM },												--BGMI

            { Scenario.BattleEventEnd },
        },
    },
     {
        -- ΐJnOf(ԃ`[)
        Name = "PreBattleVS_Red",
        Idle = {
        },

        Active = {
            { Scenario.FadeOut, "White", 1, 0 },							--{eBAJnzCgAEgiȂj
            { Sound.PlayBGM, "011_Ba_Pre_BattleCamera" },					--BGMĐ

--Jbg1

            { StartImmediate },												--JړJn
            	{ Chara.ChangeAction, "Citizen_00", "IdleFear" },				--sAChOJn
            	{ Chara.ChangeAction, "Citizen_01", "IdleFear" },				--sAChOJn
            { EndImmediate },

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -3.68615, -13.87949,  -22.66486, 0 },			--W
            { Camera.SetRawInterest,   -5.82613, -15.94769,  -16.69256, 0 },			--_
            { Camera.SetFovY, 40 },
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "White", 30, 0 },							--zCgAEgI

            { Sound.PlaySystemSE, 80 },										--`rd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   -6.17101, -16.81671, -13.99784, 360 },			--W
            { Camera.SetRawInterest,   -8.15155, -18.87549, -7.96725, 360 },		--_
            { EndImmediate },

            { Wait, 1.0 },

            { UI.AutoTalk, "ACC", "ID_S10001_0510", 3.5 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0510", "Accessory" },			--{CXĐ(eXg)

            { Wait, 3.5 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg2

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   4.60109, -12.31965,  -51.46417, 0 },			--W
            { Camera.SetRawInterest,   3.06014, -13.02483,  -58.01609, 0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 84 },										--Ԃrd

            { StartImmediate },												--JړI
            { Camera.SetRawPosition,   -3.30000,  -12.15729,  -48.99537,  360 },		--W
            { Camera.SetRawInterest,   -4.84096,  -12.86247,  -53.88077,  360 },		--_
            { EndImmediate },

            { Wait, 0.2 },

            { UI.AutoTalk, "ACC", "ID_S10001_0100", 6.0 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0100", "Accessory" },			--{CXĐ(eXg)

            { Wait, 6.0 },

            { Scenario.FadeOut, "Black",  8, 3 },							--J؂ւubNAEg
            { Scenario.WaitFade },

--Jbg3

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   -8.54987, -13.12618, 64.92908, 0 },			--W
            { Camera.SetRawInterest,   -5.99845, -17.28106, 69.46968, 0 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Camera.WaitPositionMoving },									--Jړ҂iȂj

            { Scenario.FadeIn, "Black",   8, 4 },							--ubNAEgI

            { Sound.PlaySystemSE, 84 },										--Ԃrd

            { StartImmediate },												--JړJn
            { Camera.SetRawPosition,   8.54987, -13.12618, 64.92908, 600 },			--W
            { Camera.SetRawInterest,   5.99845, -17.28106, 69.46968, 600 },			--_
            { Camera.Activate },											--JL
            { EndImmediate },

            { Wait, 0.2 },

            { UI.AutoTalk, "ACC", "ID_S10001_0520", 4.2 },					--eLXg\(eXg)
            { Sound.PlayAccVoice, "ID_S10001_0520", "Accessory" },			--{CXĐ(eXg)

            { Wait, 0.5 },

            { Sound.PlaySystemSE, 85 },										--Ird

            { Wait, 3.2 },													--J؂ւ҂(sec)

            { Scenario.FadeOut, "White", 16 },								--zCgAEgJniogցj
            { Scenario.WaitFade },

            { Camera.Deactivate },

            { Sound.StopBGM },												--BGMI

            { Scenario.BattleEventEnd },


        },
    },
        -- I
    {
        Name = "FixEvent",
        Idle = {
        },
        Active = {
            { StartImmediate },
            { Sound.StopBGM },												--BGMI
      		{ Camera.Deactivate },											--CxgJI
            { EndImmediate },
            { ChangeEvent, "Idle"},
        },
    },
    {
        Name = "FixEventOnline",
        Idle = {
        },
        Active = {
            { StartImmediate },
            { Sound.StopBGM },												--BGMI
      		{ Camera.Deactivate },											--CxgJI
            { EndImmediate },
            { ChangeEvent, "Idle"},
        },
    },
};

-- CxgV[PX𔽉f
set_seq_table(sequence_table);
